import fetch from '@/api/fetch.js'

export default {
  /** 
   * 登录
   * @params {name: '',password:md5(str)}
  */
  login(param) {
    return fetch('/blade-auth/oauth/token', param, 'post', 'form', {
      'Tenant-Id': '000000'
    })
  },
  qrCode() {
    return fetch('/wutong-base/oauth/qrcodeLogin')
  },
  qrCodeLogin(params) {
    return fetch('/wutong-base/oauth/getUserInfo', params)
  },
  loginByCode(param) {
    return fetch('/blade-auth/oauth/token', param, 'post', 'form', {
      'Tenant-Id': '000000'
    })
  },
  getUserInfo() {
    return fetch('/blade-project-manage-v2/other/v2/getUserInfo')
  }
}
